博客> 1.安装cocoapods以及所需要的环境配置和安装
1.安装cocoapods以及所需要的环境配置和安装
2017-12-13 05:48 评论:0 阅读:363 宥善_kw
ios cocoapods 命令行 Ruby rails 终端 iterm 配置 配置cocoapods安装cocoapods
    如果你在安装cocopods 中遇到类似于 cannot load such file -- rubygems.rb 这样的问题,那你跟我走就对了。

    首先我们需要快速正确的安装 Ruby, Rails 运行环境

先安装 Xcode 开发工具,它会默认帮你安装好 Unix 环境需要的开发包

然后安装 Homebrew

$ ruby -e "$(curl -fsSL https://raw.githubusercontent.com/Homebrew/install/master/install)" OS X 安装 Rails 必要的一些三方库

$ brew install libxml2 libxslt libiconv 步骤1 - 安装 RVM

RVM 是干什么的这里就不解释了,可以去百度。 $ gpg --keyserver hkp://keys.gnupg.net --recv-keys 409B6B1796C275462A1703113804BB82D39DC0E3 $ curl -sSL https://get.rvm.io | bash -s stable

如果上面的连接失败,可以尝试:

$ curl -L https://raw.githubusercontent.com/wayneeseguin/rvm/master/binscripts/rvm-installer | bash -s stable 期间可能会问你 sudo 管理员密码,以及自动通过 Homebrew 安装依赖包,等待一段时间后就可以成功安装好 RVM。

然后,载入 RVM 环境(新开 Termal 就不用这么做了,会自动重新载入的)

$ source ~/.rvm/scripts/rvm 修改 RVM 下载 Ruby 的源,到 Ruby China 的镜像:

echo "ruby_url=https://cache.ruby-china.org/pub/ruby" > ~/.rvm/user/db 检查一下是否安装正确

$ rvm -v rvm 1.22.17 (stable) by Wayne E. Seguin , Michal Papis [https://rvm.io/] 步骤2 - 用 RVM 安装 Ruby 环境

$ rvm requirements  Enter your image description here: $ rvm install 2.3.0 同样继续等待漫长的下载,编译过程,完成以后,Ruby, Ruby Gems 就安装好了。

步骤3 - 设置 Ruby 版本

RVM 装好以后,需要执行下面的命令将指定版本的 Ruby 设置为系统默认版本

$ rvm use 2.3.0 --default 同样,也可以用其他版本号,前提是你有用 rvm install 安装过那个版本

这个时候你可以测试是否正确

$ ruby -v ruby 2.3.0 ...

$ gem -v 2.1.6

$ gem sources --add https://gems.ruby-china.org/ --remove https://rubygems.org/ 安装 Bundler

$ gem install bundler 步骤4 - 安装 Rails 环境

上面 3 个步骤过后,Ruby 环境就安装好了,接下来安装 Rails

$ gem install rails 然后测试安装是否正确

$ rails -v Rails 4.2.5 然后开始你的 Ruby,Rails 之旅吧。 欢迎来到 Ruby 的世界!

收藏
1
sina weixin mail 回到顶部